/*
 * Digfit header file.
 *
 * Version 1.2, 09/10/2004
 *
 * This file is designed for use in Wondows(R) systems.
 * Tested with compiler: GCC v3.2 (MinGW special 20020817-1).
 *
 * Copyright (C) 2004 Jiri Stepan (jiri.stepan@volny.cz).
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the project nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#define CONVVERS "1.2 (09/10/2004)" /* Version of this program */

/* DIG header format: */
#define TRI                   "DIG" /* Header beginning sign */
#define DIG_HEADER_SIZE         88  /* Size of header */
#define HEAD_LENGTH              3  /* Length of TRI */
#define COPYRIGHT "DIG picture file - (C) 2002 J. S., S. D."   /* DIG (C) */
#define COPY_LENGTH             40  /* Length of COPYRIGHT */
#define DIG_VERSION              2  /* Version of DIG file */
#define COMPRESS_ENGINE_VERSION  0  /* Compression of DIG */
#define COMPRESS_CHAR           32  /* ' ' is sign of no compression */
typedef struct {
  char tri[HEAD_LENGTH+1];
  signed int version;
  char compressed;
  signed int compr_eng_ver;
  char copyright[COPY_LENGTH+1];
  signed int voss_width;
  signed int voss_height;
  signed int year;
  signed int month;
  signed int day;
  signed int hour;
  signed int minute;
  signed int second;
  signed int ssecond;
} t_dig_header;
#define HEADER_TEST_VARIABLES  12  /* Number of DIG header variables to test */

/* FITS format: */
#define F_BLOCK_SIZE         2880  /* Length of the header */
#define F_SUB_BLOCK_SIZE       30  /* Length of subblock in header item; new in 1.1 */
#define F_HEADER_BLOCK         80  /* Length of one header item */

#define SPACE                  32  /* Empty space character */

